Loading...
Searching...
No Matches
Ogre::IndexData Class Reference
Core » RenderSystem

Summary class collecting together index data source information. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::IndexData:
[legend]

## Public Member Functions

| IndexData ()
| ~IndexData ()
IndexData * | clone (bool copyData=true, HardwareBufferManagerBase *mgr=0) const
| Clones this index data, potentially including replicating the index buffer.
void | optimiseVertexCacheTriList (void)
| Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

## Public Attributes

HardwareIndexBufferSharedPtr | indexBuffer
| Pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true.
uint32 | indexCount
| The number of indexes to use from the buffer.
uint32 | indexStart
| Index in the buffer to start from for this operation.

## Detailed Description

Summary class collecting together index data source information.

## Constructor & Destructor Documentation

## IndexData()

Ogre::IndexData::IndexData | ( |  | ) |

Referenced by clone().

## ~IndexData()

Ogre::IndexData::~IndexData | ( |  | ) |

## Member Function Documentation

## clone()

IndexData * Ogre::IndexData::clone | ( | bool | copyData = true,
|  | HardwareBufferManagerBase * | mgr = 0 ) const

Clones this index data, potentially including replicating the index buffer.

Parameters

  copyData | Whether to create new buffers too or just reference the existing ones
  mgr | If supplied, the buffer manager through which copies should be made

Remarks
  The caller is expected to delete the returned pointer when finished

References IndexData().

## optimiseVertexCacheTriList()

void Ogre::IndexData::optimiseVertexCacheTriList | ( | void |  | ) |

Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

Can only be used for index data which consists of triangle lists. It would in fact be pointless to use it on triangle strips or fans in any case.

## Member Data Documentation

## indexBuffer

HardwareIndexBufferSharedPtr Ogre::IndexData::indexBuffer

Pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true.

## indexStart

uint32 Ogre::IndexData::indexStart

Index in the buffer to start from for this operation.

## indexCount

uint32 Ogre::IndexData::indexCount

The number of indexes to use from the buffer.

Referenced by Ogre::ManualObject::index().

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h